Summary:	A ncurses-based RPM-manager
Name:		purp
Version:	1.1.0
Release:	1
Copyright:	GPL
Group:		Utilities/System
Packager:	linuxkid <linux@peanutlinux.org>
Source0:	ftp://ftp.lysator.liu.se/pub/unix/purp/purp-1.1.0/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://www.lysator.liu.se/purp/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	byacc >= 1.9 rpm-devel >= 3.0.7

%description
Purp is a ncurses-based RPM-manager that provides a fast and powerful
way to navigate, install, upgrade and uninstall RPM-packages on text 
terminal devices. 

%prep
%setup -q

%build
aclocal
autoconf
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin 
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc
make "BUILDROOT=$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%attr(755,root,root) /usr/bin/purp
%config /etc/purprc
/usr/man
/usr/share
